from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class MstPrefc(UltmarcTable):
    """レイアウト区分006: 都道府県マスタ"""
    prefc_cd: str       # 都道府県コード
    prefc_name: str     # 都道府県名称
    maint_flag: str     # 修正区分

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.maint_flag = record[2]
        self.prefc_name = record[5]
        self.prefc_cd = record[6]
